> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranet/b2b/consumers/{id}/prefixes > Update extranet service consumer prefix NAT (peering preset) ## OpenAPI ````json PUT /v1/extranet/b2b/consumers/{id}/prefixes { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranet/b2b/consumers/{id}/prefixes": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "path", "required": true, "description": "Consumer subscription id", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bConsumersIdPrefixesPutRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bConsumersIdPrefixesPutResponse" } } } } }, "description": "Update extranet service consumer prefix NAT (peering preset)" } } }, "components": { "schemas": { "v1ExtranetB2bConsumersIdPrefixesPutRequest": { "type": "object", "properties": { "natTranslationMode": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationMode" } }, "additionalProperties": false }, "v1ExtranetB2bConsumersIdPrefixesPutResponse": { "type": "object", "properties": { "consumerActivityId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationMode": { "type": "object", "properties": { "centralized": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationCentralized" }, "decentralized": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDecentralized" }, "peerToPeer": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationPeerToPeer" } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationCentralized": { "type": "object", "properties": { "prefixes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDevicePrefixes" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationDecentralized": { "type": "object", "properties": { "prefixes": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationDevicePrefixes" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationPeerToPeer": { "type": "object", "properties": { "prefixes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ExtranetNatTranslationPeerToPeerPrefix" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationDevicePrefixes": { "type": "object", "properties": { "prefixes": { "type": "array", "items": { "type": "string", "example": "example string", "description": "IPv4 CIDR NAT pool(s) for the device" } } }, "additionalProperties": false }, "manaV2ExtranetNatTranslationPeerToPeerPrefix": { "type": "object", "properties": { "outsideNatPrefix": { "type": "string", "example": "100.1.2.0/24", "description": "Optional outside address presented for prefix on the far side of the attachment; omit for no NAT on that prefix" }, "prefix": { "type": "string", "example": "10.1.2.0/24", "description": "At match: customer export prefix. At consumer accept/update (peering): subscribed service prefix" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````